package java.awt.dnd;

import java.awt.event.MouseEvent;
import java.awt.Component;
import java.awt.event.MouseMotionListener;
import java.awt.event.MouseListener;

public abstract class MouseDragGestureRecognizer extends DragGestureRecognizer implements MouseListener, MouseMotionListener
{
    private static final long serialVersionUID = 6220099344182281120L;
    
    protected MouseDragGestureRecognizer(DragSource dragSource, Component component, int n, DragGestureListener dragGestureListener) {
        super(dragSource, component, n, dragGestureListener);
    }
    
    protected MouseDragGestureRecognizer(DragSource dragSource, Component component, int n) {
        this(dragSource, component, n, null);
    }
    
    protected MouseDragGestureRecognizer(DragSource dragSource, Component component) {
        this(dragSource, component, 0);
    }
    
    protected MouseDragGestureRecognizer(DragSource dragSource) {
        this(dragSource, null);
    }
    
    @Override
    protected void registerListeners() {
        this.component.addMouseListener(this);
        this.component.addMouseMotionListener(this);
    }
    
    @Override
    protected void unregisterListeners() {
        this.component.removeMouseListener(this);
        this.component.removeMouseMotionListener(this);
    }
    
    @Override
    public void mouseClicked(MouseEvent mouseEvent) {
    }
    
    @Override
    public void mousePressed(MouseEvent mouseEvent) {
    }
    
    @Override
    public void mouseReleased(MouseEvent mouseEvent) {
    }
    
    @Override
    public void mouseEntered(MouseEvent mouseEvent) {
    }
    
    @Override
    public void mouseExited(MouseEvent mouseEvent) {
    }
    
    @Override
    public void mouseDragged(MouseEvent mouseEvent) {
    }
    
    @Override
    public void mouseMoved(MouseEvent mouseEvent) {
    }
}
